> ## Documentation Index
> Fetch the complete documentation index at: https://polos.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a tool definition by id



## OpenAPI

````yaml api-reference/endpoints/tools/api-reference/openapi.json get /api/v1/tools/{tool_id}
openapi: 3.1.0
info:
  title: Polos Orchestrator API
  description: API for the Polos durable execution platform for AI agents
  contact:
    name: Polos Team
    url: https://github.com/polos-dev/polos
  license:
    name: ''
  version: 1.0.0
servers:
  - url: /
    description: Current server
security: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Projects
    description: Project management endpoints
  - name: Agents
    description: Agent definition management
  - name: Tools
    description: Tool definition management
  - name: Workflows
    description: Workflow management
  - name: Executions
    description: Workflow execution management
  - name: Traces
    description: Observability traces
  - name: Events
    description: Event publishing and streaming
  - name: Event Triggers
    description: Event-based workflow triggers
  - name: Schedules
    description: Scheduled workflow execution
  - name: Workers
    description: Worker registration and management
  - name: Deployments
    description: Deployment management
paths:
  /api/v1/tools/{tool_id}:
    get:
      tags:
        - Tools
      summary: Get a tool definition by ID
      operationId: get_tool_definition
      parameters:
        - name: tool_id
          in: path
          description: Tool ID
          required: true
          schema:
            type: string
        - name: X-Project-ID
          in: header
          description: Project ID
          required: true
          schema:
            type: string
        - name: deployment_id
          in: query
          description: Deployment ID (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Tool definition
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Tool not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
        - cookie_auth: []
components:
  schemas:
    ErrorResponse:
      type: object
      description: Standard error response
      required:
        - error
        - error_type
      properties:
        error:
          type: string
          description: Human-readable error message
        error_type:
          type: string
          description: Machine-readable error type code
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
    cookie_auth:
      type: apiKey
      in: cookie
      name: polos_auth

````